DH_NEW(3)

NAME
DH_new, DH_free - allocate and free DH objects

SYNOPSIS
#include <openssl/dh.h>
DH*
DH_new(void);
void
DH_free(DH *dh);

DESCRIPTION
The DH functions implement the Diffie-Hellman key agreement protocol.

DH_new() allocates and initializes a DH structure.

DH_free() frees the DH structure and its components. The values are erased before the memory is returned to the system. If dh is a NULL pointer, no action occurs.

RETURN VALUES
If the allocation fails, DH_new() returns NULL and sets an error code that can be obtained by ERR_get_error(3). Otherwise it returns a pointer to the newly allocated structure.

SEE ALSO
BN_new(3), d2i_DHparams(3), DH_generate_key(3), DH_generate_parameters(3), DH_get_ex_new_index(3), DH_set_method(3), DH_size(3), DHparams_print(3), DSA_dup_DH(3), ERR_get_error(3)

HISTORY
DH_new() and DH_free() are available in all versions of SSLeay and OpenSSL.